# PistonBox
Date: 2019-10-31

cc.funkemunky.api.utils.blockbox.impl

## Class PistonBox

- java.lang.Object
- - cc.funkemunky.api.utils.blockbox.impl.BlockBox
  - - cc.funkemunky.api.utils.blockbox.impl.PistonBox

    public class PistonBox
    extends BlockBox

### Constructor Summary

Constructors
Constructor and Description
`PistonBox(org.bukkit.Material material)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PistonBox

    public PistonBox(org.bukkit.Material material)